<?php
// $Id: printfriendly.admin.inc,v 1.1 2009/06/05 23:01:36 anon Exp $
/**
 * @file
 * Administration settings for printfriendly button integration
 */

/**
 * Administration settings form.
 *
 * @return
 *   The completed form definition.
 */
function printfriendly_admin_settings() {
  $form = array();
  
  $images = array();
  $images[1] = '<img src="' . base_path() . drupal_get_path('module', 'printfriendly') . '/images/pf-button.gif" alt="" />';
  $images[2] = '<img src="' . base_path() . drupal_get_path('module', 'printfriendly') . '/images/pf-button-big.gif" alt="" />';
  $images[3] = '<img src="' . base_path() . drupal_get_path('module', 'printfriendly') . '/images/pf-icon-small.gif" alt="" />';
  $images[4] = '<img src="' . base_path() . drupal_get_path('module', 'printfriendly') . '/images/pf-icon.gif" alt="" />';

  $options = array();
  $options[1] = $images[1];
  $options[2] = $images[2];
  $options[3] = $images[3] . '<span class="printfriendly-small">Print Friendly</span>';
  $options[4] = $images[3] . '<span class="printfriendly-big">Print Friendly</span>';
  $options[5] = t('Text link, or use your own button');

  $form['printfriendly_general_settings'] = array(
    '#type'  => 'fieldset',
    '#title' => t('General settings'),
  );

  $form['printfriendly_general_settings']['printfriendly_display_in_links'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Display on node pages'),
    '#default_value' => variable_get('printfriendly_display_in_links', '0'),
    '#description'   => t('Display a printfriendly button always on a node page\'s links section.'),
  );

  $form['printfriendly_general_settings']['printfriendly_button_type'] = array(
    '#type'          => 'radios',
    '#title'         => t('Choose button'),
    '#default_value' => variable_get('printfriendly_button_type', 1),
    '#options'       => $options, 
    '#description'   => t('Choose what type of button you would like to have.'),
  );

  $form['printfriendly_general_settings']['printfriendly_alt_text'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Choose alt text <small>(only for alternative 1 and 2)</small>'),
    '#default_value' => variable_get('printfriendly_alt_text', 'Print'),
    '#description'   => t('This will be translated in the theme function.'),
  );

  $form['printfriendly_general_settings']['printfriendly_link_text'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Choose link text <small>(only for alternative 3,4 and 5)</small> or button <small>(only for alternative 5)</small>'),
    '#default_value' => variable_get('printfriendly_link_text', 'Print Friendly'),
    '#description'   => t('This will be translated in the theme function.'),
  );

   $form['printfriendly_general_settings']['printfriendly_link_title'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Choose link title <small>(only for alternative 3,4 and 5)</small>'),
    '#default_value' => variable_get('printfriendly_link_title', 'Print an optimized version of this web page'),
    '#description'   => t('This will be translated in the theme function.'),
  );

  return system_settings_form($form);
}